Create project
POST
/organization/{orgId}/projectsCreate a new project under the given organization with specified video quality
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.CreateProjectRequest",
"$ref-value": {
"properties": {
"name": {
"type": "string",
"examples": [
"My Project"
]
},
"regions": {
"items": {
"type": "string"
},
"type": "array",
"examples": [
[
"iso",
"eu"
]
]
},
"video_quality": {
"allOf": [
{
"$ref": "#/components/schemas/sqlc.VideoQuality",
"$ref-value": {
"enum": [
"basic",
"shorts",
"pro"
],
"type": "string",
"x-enum-varnames": [
"VideoQualityBasic",
"VideoQualityShorts",
"VideoQualityPro"
]
}
}
],
"examples": [
"basic"
]
}
},
"required": [
"name"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/organization/string/projects" \
-H "Content-Type: application/json" \
-d '{
"name": "My Project"
}'Created
application/json
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}